#
# spec file for package ts (Version 0011)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tcl-devel tk
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim

Name:         ts
Copyright:    GPL
Group:        X11/Applications
Requires:     tk
Autoreqprov:  on
Version:      0011
Release:      107
Summary:      Tcl/Tk based shell for LaTeX
Source:       ts-%{version}.tar.bz2
Patch:        ts-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
My aim was writing a TeX environment similar to the DOS-TeXShell by
Schlegelmilch. That is, you can use their short keys for editing (F3),
composing (F6), or showing (F8). The complete list of keys is shown
in the online help (press F1).
Keys, warnings end menus are in English (since they are shorter) but
online help is available both in English and German.
If you want to use the English help-system, change the symlink under
/usr/lib/ts to the right path (there is no parameter):
cd /usr/lib/ts
ln -sf eng help

Authors:
--------
    Jens Pnisch <J.Poenisch@wirtschaft.tu-chemnitz.de>

SuSE series: tex

%prep
%setup
%patch

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/X11R6/lib
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
./install -lib $RPM_BUILD_ROOT/usr/X11R6/lib/ts-%{version} -bin $RPM_BUILD_ROOT/usr/X11R6/bin
cd $RPM_BUILD_ROOT/usr/X11R6/lib/ts-%{version}/
sed s:$RPM_BUILD_ROOT:: ts > ts.n
mv ts.n ts
chmod a+x ts

%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYRIGHT GPL INSTALL LSM-template README* docu/
/usr/X11R6/lib/ts-%{version}
/usr/X11R6/bin/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n ts
* Mon Mar 12 2001 - cihlar@suse.cz
- updated to version 0011
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 15 2000 - cihlar@suse.cz
- update to version 9909
- bzipped sources
- fixed copyright tag
* Thu Jul 13 2000 - cihlar@suse.cz
- fixed path to ts home directory
- changed to call wish instead of wish 8.3
* Mon May 22 2000 - cihlar@suse.cz
- fixed to compile with Tcl/Tk 8.3
* Tue Apr 25 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Oct 12 1999 - max@suse.de
- ready for the new Tcl/Tk packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Apr 14 1999 - uli@suse.de
- update 9804 -> 9902p1
* Thu Apr 30 1998 - hf@suse.de
- new version: 9804
* Wed Nov 12 1997 - hf@suse.de
- new version: 9710
- uses tcl/tk new
* Wed Feb 05 1997 - kfr@suse.de
- new version: 9702
- includes the changes from 9701p2
* Mon Feb 03 1997 - kfr@suse.de
- new version: 9701p2
- from "official" Version 9201p1
- bugfixes to start without '.texshell' oder '.ts' in ~
- helpsystem in german _and_ english
- location: /usr/lib/ts
